import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询外协单从对应的外协工序的从列表
export function listProcess(query) {
  return request({
    url: '/business/process/list',
    method: 'get',
    params: query
  })
}

// 查询外协单从对应的外协工序的从详细
export function getProcess(id) {
  return request({
    url: '/business/process/' + id,
    method: 'get'
  })
}

// 新增外协单从对应的外协工序的从
export function addProcess(data) {
  return request({
    url: '/business/process',
    method: 'post',
    data: data
  })
}

// 修改外协单从对应的外协工序的从
export function updateProcess(data) {
  return request({
    url: '/business/process',
    method: 'put',
    data: data
  })
}
// 查询外协单从对应的外协工序的从详细
export function getOrderDetailProcess(data) {
	return request({
		url: baseUrl + '/business/outsourceDetailProcess/getOrderDetailProcess',
		method: 'post',
		data:data
	})
}

// 删除外协单从对应的外协工序的从
export function delProcess(id) {
  return request({
    url: '/business/process/' + id,
    method: 'delete'
  })
}
